{
  "fetchPipMetadata": {
    "sources": {
      "beautifulsoup4": {
        "is_direct": false,
        "sha256": "b80878c9f40111313e55da8ba20bdba06d8fa3969fc68304167741bbf9e082ed",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/b1/fe/e8c672695b37eecc5cbf43e1d0638d88d66ba3a44c4d321c796f4e59167f/beautifulsoup4-4.12.3-py3-none-any.whl",
        "version": "4.12.3"
      },
      "bs4": {
        "is_direct": false,
        "sha256": "abf8742c0805ef7f662dce4b51cca104cffe52b835238afc169142ab9b3fbccc",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/51/bb/bf7aab772a159614954d84aa832c129624ba6c32faa559dfb200a534e50b/bs4-0.0.2-py2.py3-none-any.whl",
        "version": "0.0.2"
      },
      "certifi": {
        "is_direct": false,
        "sha256": "922820b53db7a7257ffbda3f597266d435245903d80737e34f8a45ff3e3230d8",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/12/90/3c9ff0512038035f59d279fddeb79f5f1eccd8859f06d6163c58798b9487/certifi-2024.8.30-py3-none-any.whl",
        "version": "2024.8.30"
      },
      "charset-normalizer": {
        "is_direct": false,
        "sha256": "8cda06946eac330cbe6598f77bb54e690b4ca93f593dee1568ad22b04f347c15",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/16/92/92a76dc2ff3a12e69ba94e7e05168d37d0345fa08c87e1fe24d0c2a42223/charset_normalizer-3.4.0-cp312-cp312-manylinux_2_17_x86_64.manylinux2014_x86_64.whl",
        "version": "3.4.0"
      },
      "click": {
        "is_direct": false,
        "sha256": "ae74fb96c20a0277a1d615f1e4d73c8414f5a98db8b799a7931d1582f3390c28",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/00/2e/d53fa4befbf2cfa713304affc7ca780ce4fc1fd8710527771b58311a3229/click-8.1.7-py3-none-any.whl",
        "version": "8.1.7"
      },
      "click-config-file": {
        "is_direct": false,
        "sha256": "3c5802dec437ed596f181efc988f62b1069cd48a912e280cd840ee70580f39d7",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/28/16/c71980d10b75cf4ee2c71bb946c3326a18585254399aac64a5e79cfba5a5/click_config_file-0.6.0-py2.py3-none-any.whl",
        "version": "0.6.0"
      },
      "configobj": {
        "is_direct": false,
        "sha256": "03c881bbf23aa07bccf1b837005975993c4ab4427ba57f959afdd9d1a2386848",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/f5/c4/c7f9e41bc2e5f8eeae4a08a01c91b2aea3dfab40a3e14b25e87e7db8d501/configobj-5.0.9.tar.gz",
        "version": "5.0.9"
      },
      "idna": {
        "is_direct": false,
        "sha256": "946d195a0d259cbba61165e88e65941f16e9b36ea6ddb97f00452bae8b1287d3",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/76/c6/c88e154df9c4e1a2a66ccf0005a88dfb2650c1dffb6f5ce603dfbd452ce3/idna-3.10-py3-none-any.whl",
        "version": "3.10"
      },
      "lxml": {
        "is_direct": false,
        "sha256": "3879cc6ce938ff4eb4900d901ed63555c778731a96365e53fadb36437a131a99",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/0a/6e/94537acfb5b8f18235d13186d247bca478fea5e87d224644e0fe907df976/lxml-5.3.0-cp312-cp312-manylinux_2_28_x86_64.whl",
        "version": "5.3.0"
      },
      "paho-mqtt": {
        "is_direct": false,
        "sha256": "2a8291c81623aec00372b5a85558a372c747cbca8e9934dfe218638b8eefc26f",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/f8/dd/4b75dcba025f8647bc9862ac17299e0d7d12d3beadbf026d8c8d74215c12/paho-mqtt-1.6.1.tar.gz",
        "version": "1.6.1"
      },
      "pycryptodome": {
        "is_direct": false,
        "sha256": "0714206d467fc911042d01ea3a1847c847bc10884cf674c82e12915cfe1649f8",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/ea/66/6f2b7ddb457b19f73b82053ecc83ba768680609d56dd457dbc7e902c41aa/pycryptodome-3.21.0-cp36-abi3-manylinux_2_17_x86_64.manylinux2014_x86_64.whl",
        "version": "3.21.0"
      },
      "requests": {
        "is_direct": false,
        "sha256": "70761cfe03c773ceb22aa2f671b4757976145175cdfca038c02654d061d6dcc6",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/f9/9b/335f9764261e915ed497fcdeb11df5dfd6f7bf257d4a6a2a686d80da4d54/requests-2.32.3-py3-none-any.whl",
        "version": "2.32.3"
      },
      "setuptools": {
        "is_direct": false,
        "sha256": "ce74b49e8f7110f9bf04883b730f4765b774ef3ef28f722cce7c273d253aaf7d",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/55/21/47d163f615df1d30c094f6c8bbb353619274edccf0327b185cc2493c2c33/setuptools-75.6.0-py3-none-any.whl",
        "version": "75.6.0"
      },
      "soupsieve": {
        "is_direct": false,
        "sha256": "e72c4ff06e4fb6e4b5a9f0f55fe6e81514581fca1515028625d0f299c602ccc9",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/d1/c2/fe97d779f3ef3b15f05c94a2f1e3d21732574ed441687474db9d342a7315/soupsieve-2.6-py3-none-any.whl",
        "version": "2.6"
      },
      "sslpsk": {
        "is_direct": false,
        "sha256": "3472276c0dde76d2f3831b8291f899106fe53947c4dc6dca053517f1c767a91d",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/87/1c/b8b5a2d0af9f9a3624d65ce1981777275ac765be45839c4c052018ec715e/sslpsk-1.0.0.tar.gz",
        "version": "1.0.0"
      },
      "urllib3": {
        "is_direct": false,
        "sha256": "ca899ca043dcb1bafa3e262d73aa25c465bfb49e0bd9dd5d59f1d0acba2f8fac",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/ce/d9/5f4c13cecde62396b0d3fe530a50ccea91e7dfc1ccf0e09c228841bb5ba8/urllib3-2.2.3-py3-none-any.whl",
        "version": "2.2.3"
      },
      "websocket-client": {
        "is_direct": false,
        "sha256": "17b44cc997f5c498e809b22cdf2d9c7a9e71c02c8cc2b6c56e7c2d1239bfa526",
        "type": "url",
        "url": "https://files.pythonhosted.org/packages/5a/84/44687a29792a70e111c5c477230a72c4b957d88d16141199bf9acb7537a3/websocket_client-1.8.0-py3-none-any.whl",
        "version": "1.8.0"
      }
    },
    "targets": {
      "default": {
        "beautifulsoup4": [
          "soupsieve"
        ],
        "bs4": [
          "beautifulsoup4"
        ],
        "certifi": [],
        "charset-normalizer": [],
        "click": [],
        "click-config-file": [
          "click",
          "configobj"
        ],
        "configobj": [],
        "idna": [],
        "lxml": [],
        "paho-mqtt": [],
        "pycryptodome": [],
        "requests": [
          "certifi",
          "charset-normalizer",
          "idna",
          "urllib3"
        ],
        "setuptools": [],
        "soupsieve": [],
        "sslpsk": [],
        "urllib3": [],
        "websocket-client": []
      }
    }
  },
  "invalidationHash": "8b77dd84722cef2a9d624d9674be2397c777c8b180b813df1327f67470dd3476"
}